package Apdu;


/**
 *
 * @author Wojciech Wodo
 */
public class CertificateRapdu extends RAPDU {
    
    byte[] certificate;
    byte[] w;

    public CertificateRapdu(byte[] rapdu){
        super();
        int wSize = 0,wOff = 0;
        int certSize = 0 ,certOff = 0;
        if(rapdu[2]==(byte)0x89){ //w first
            wOff = 4;
            wSize = (int)rapdu[3];
            certOff = wOff + wSize+2;
            certSize = (int)rapdu[certOff-1];
            w = new byte[wSize];
            certificate = new byte[certSize];
        }
        else if(rapdu[2]==(byte)0x90){ //certificate first
            certOff = 4;
            certSize = (int)rapdu[3];
            wOff = certOff + certSize+2;
            wSize = (int)rapdu[wOff-1];
            w = new byte[wSize];
            certificate = new byte[certSize];
        }
        for(int i=wOff;i<wSize+wOff;i++){
            w[i-wOff] = rapdu[i];
        }
        for(int i=certOff;i<certSize+certOff;i++){
            certificate[i-certOff] = rapdu[i];
        }
        sw1 = rapdu[rapdu.length-2];
        sw2 = rapdu[rapdu.length-1];
    }
    
    public byte[] getCertificate() {
        return certificate;
    }

    public byte[] getW() {
        return w;
    }
    
    
    
    
}

