package com.example.spaceaa;

import java.io.IOException;

import android.nfc.tech.IsoDep;


/**
*
* @author Wojciech Wodo
*/
public class CardCommunicationNFC implements CardCommunication{

	IsoDep tag;
	
	public CardCommunicationNFC(IsoDep tag){
		super();
		this.tag = tag;
	}

	@Override
	public byte[] send(byte[] apdu) {
		byte[] err = {(byte)0x6F,(byte)0x00};
		if(!tag.isConnected()){
			try {
				tag.connect();
			} catch (IOException e) {
				return err;
			}
		}
		try {
			return tag.transceive(apdu);
		} catch (IOException e) {
			return err;
		}
	}

	@Override
	public void disconnect() {
		try {
			tag.close();
		} catch (IOException e) {
		}
	}
	
	
}
